=== debian/changelog ===
moria (5.7.10+20181022-3) unstable; urgency=medium

  * Apply patch from Helmut Grohne <helmut@subdivi.de> to fix FTCBFS,
    closes: #920754.
    + Let dh_auto_configure pass cross flags to cmake.
    + cross.patch: Don't force the build architecture compiler.
    Thank you, Helmut!
  * Move dpkg-maintscript-helper usage into moria.maintscript.  Removed
    from preinst, postinst and postrm.

 -- Phil Brooke <pjb@debian.org>  Tue, 29 Jan 2019 18:54:21 +0000

moria (5.7.10+20181022-2) unstable; urgency=medium

  * Remove -Werror to allow build on mips64el, closes: #916030.
  * Remove redundant /etc/moria-hours using dpkg-maintscript-helper,
    closes: 911706.

 -- Phil Brooke <pjb@debian.org>  Sun, 06 Jan 2019 20:28:22 +0000

moria (5.7.10+20181022-1) unstable; urgency=medium

  * New upstream release from https://github.com/dungeons-of-moria/umoria.
    It's slightly ahead of the upstream git tag 5.7.10, hence the version
    field.  One additional commit adds fixes for building with GCC 8.
  * Since the last Debian upload, there have been major changes to upstream
    source.
     * Add cmake as a dependency.
     * Remove README.debian-build.
  * Bump debhelper to 11 and standards-version to 4.2.1.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to dh variant of debian/rules and remove (now redundant) Makefile,
    closes: #905811.
  * Add homepage field to control, closes: #898531.  Add aka umoria to
    description field.
  * Restore moria.man from previous Debian version, but it will need updating.
  * Change src/config.cpp to show scores file in /var/games/moria (patch
    set-scores-path.patch).
  * Change src/config.cpp to show data files in /usr/lib/games/moria (patch
    set-data-path.patch).
  * "Hours" file has gone, so no longer need /etc.
  * Don't reopen the scores file when recording as we've already dropped
    permissions (dont-reopen-scores-file.patch).

 -- Phil Brooke <pjb@debian.org>  Mon, 22 Oct 2018 20:35:10 +0100

moria (5.6.debian.1-2) unstable; urgency=medium

  * Remove spurious redefinition of getuid from main.c (closes: #749422).
  * Desktop integration of games (closes: #737972):
     * Added a desktop file (moria.desktop).
     * Desktop icons added (moria*.png).
     * Menu icon added (moria.xpm).
     * (Need some better icons, really.)
  * Add sharutils to build-depends because of icons.
  * Bump standards-version to 3.9.6.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 16:20:32 +0100

moria (5.6.debian.1-1) unstable; urgency=low

  * Repackaged source tarball to remove non-free files.  As a result,
    totally removed the Atari ST, Amiga and Mac source directories
    (closes: #724943).
  * Use strncpy not strcpy to read hours file (closes: #695294).  Also added
    -D_FORTIFY_SOURCE=2 to Makefile to check this solution.
  * Bump standards-version to 3.9.4.
  * Tidy up debian/docs to remove a duplicate file in .../docs/moria
    and rename some debian files to moria.
  * Add dpkg-buildflags CFLAGS / LDFLAGS to source/Makefile.  Then fix
    some (s)printf format strings.

 -- Phil Brooke <pjb@debian.org>  Thu, 31 Oct 2013 14:33:18 +0000

moria (5.6-2) unstable; urgency=low

  * Clean up description in control file.
  * Fix description synopsis.
  * Bump standards-version to 3.9.2.
  * Add build-arch and build-indep targets to debian/rules.
  * Tidy copyright file to quell lintian complaint.

 -- Phil Brooke <pjb@debian.org>  Mon, 04 Jul 2011 12:05:13 +0100

moria (5.6-1) unstable; urgency=low

  * New upstream release.  
  * New maintainer.  
  * Reintroduce to Debian archive (Closes: #594224).
  * New licence: it's GPLv3.  Update debian/copyright.
  * Move to section games (it's no longer non-free).
  * Standards version update (3.9.1), compat and source/format added.
  * Update debian/rules for changes to debhelper.  Freshen/tidy overall.

 -- Phil Brooke <pjb@debian.org>  Tue, 07 Sep 2010 16:22:25 +0100

moria (5.5.2-5) unstable; urgency=low

  * Changed location of score file from /var/lib/games/moria/scores to
    /var/games/moria/scores per FHS.  (Closes: #115849)
  * Fixed handling of score file on upgrades (do not null it out!).
  * Applied fixes to a few buffer overflows.  (Thanks to Lars Helgeland for
    noticing the overflows and supplying the patches.)  (Closes: #115745)
  * Upgraded policy to version 3.5.6.0.

 -- Rene Weber <rene_debmaint@elvenlord.com>  Wed, 24 Oct 2001 22:44:05 -0400

moria (5.5.2-4) unstable; urgency=low

  * Fixed dependencies (was compiled against libncurses4, what was I doing
    that day?).
  * Corrected explanation of the 'V' command in moria2.txt (but not in the
    nroff source for that documentation).
  * Removed use of dh_suidregister.

 -- Rene Weber <rene_debmaint@elvenlord.com>  Mon,  9 Jul 2001 23:31:01 -0400

moria (5.5.2-3) unstable; urgency=low

  * Added a Build-Depends line.
  * Changed the handling of the build directory for the convenience of
    porters (should have no impact on users).
  * Changed short description so that it does not include the name of the
    package.
  * Corrected path to /usr/games/moria binary in the menu.  Closes: #81353

 -- Rene Weber <rene_debmaint@elvenlord.com>  Sat,  6 Jan 2001 02:47:02 -0700

moria (5.5.2-2) unstable; urgency=low

  * Fixed typos in the control/README.debian file
  * Updated the author's e-mail address in the copyright file
  * Updated the author's web page listed in the README.debian
  * Installed a new version of the FAQ (reflecting the author's move)

 -- Rene Weber <rene_debmaint@elvenlord.com>  Sat, 14 Oct 2000 10:23:48 -0700

moria (5.5.2-1) unstable; urgency=low

  * Initial Release.
  * Added DEBIAN_LINUX #define to handle code customizations.
  * Needed to include termios.h in io.c
  * All instances of signal() changed to sysv_signal() since libc6 defaults
    to BSD semantics.
  * Instead of redefining getuid, just ifdeffed it out of unix.c
  * Changed LOCK_EX and LOCK_SH definitions in death.c (to avoid

