=== debian/control ===
Source: moria
Section: games
Priority: optional
Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends: debhelper (>= 11~), libncurses-dev, sharutils, cmake
Standards-Version: 4.2.1
Homepage: https://umoria.org/

Package: moria
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Description: Rogue-like game with an infinite dungeon, also known as umoria
 A single player roguelike game with a regenerating dungeon, moria is the
 predecessor of angband with a full-screen, text-based, turn-based
 interface.  It features scrolling maps, and an infinite (constantly
 regenerated) dungeon.
 .
 Moria's dungeons are populated by monsters, some of which are inspired by
 J.R.R. Tolkien's books.  The goal of the game is to find and kill the
 Balrog, whereupon the player is crowned King.  Your player can be created
 from a combination of 8 races (human, half-elf, elf, halfling, gnome,
 dwarf, half-orc, half-troll) and 6 classes (warrior, mage, priest, rogue,
 ranger, paladin), and is measured by 6 attributes (strength, dexterity,
 intelligence, wisdom, constitution, and charisma).
 .
 Despite the package name, this is actually Umoria (Unix moria).
