=== debian/changelog ===
moria (5.7.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089392)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 16:16:49 +0000

moria (5.7.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.5.0.
  * Bump debhelper compat to 13.

 -- Phil Brooke <pjb@debian.org>  Mon, 09 Nov 2020 15:37:44 +0000
