=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Phil Brooke <pjb@debian.org>
-Build-Depends: debhelper (>= 11~), libncurses-dev, sharutils, cmake
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 13~), libncurses-dev, sharutils, cmake
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.5.0
 Homepage: https://umoria.org/
 
 Package: moria
