=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure --builddirectory=.

override_dh_auto_install:

override_dh_install:
	dh_install
	install -o root -g games -m 2755 umoria/umoria debian/moria/usr/games/moria
	install -o root -g root -m 644 umoria/data/* debian/moria/usr/lib/games/moria
	for r in 64x64 96x96 128x128 256x256; do uudecode -o debian/icons/moria-$${r}.png debian/icons/moria-$${r}.png.b64 ;done
	for r in 64x64 96x96 128x128 256x256; do install -o root -g root -m 644 debian/icons/moria-$${r}.png debian/moria/usr/share/icons/hicolor/$${r}/apps/moria.png;done

override_dh_fixperms:
	dh_fixperms
	chown :games debian/moria/usr/games/moria
	chmod g+s debian/moria/usr/games/moria

override_dh_auto_clean:

override_dh_clean:
	dh_clean
	-rm debian/icons/moria-*.png
	-rm -r CMakeFiles
	-rm -r umoria
	-rm CMakeCache.txt Makefile cmake_install.cmake
